This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474372 - rhythmbox-upnp should require at least python-twisted-core
rhythmbox-upnp should require at least python-twisted-core
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 10:34 EST by Caolan McNamara
Modified: 2009-01-13 07:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 07:08:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-12-03 10:34:41 EST
[caolan@vain ~]$ yum -y install rhythmbox-upnp
[caolan@vain ~]$ rhythmbox
Traceback (most recent call last):
  File "/usr/lib/rhythmbox/plugins/upnp_coherence/__init__.py", line 29, in activate
    from twisted.internet import gtk2reactor
[caolan@vain ~]$ rpm -qf /usr/lib/rhythmbox/plugins/upnp_coherence/__init__.py
rhythmbox-upnp-0.11.6-15.6005.fc10.i386

[caolan@vain ~]$ rpm -q --requires rhythmbox-upnp
python-Coherence  
rhythmbox = 0.11.6-15.6005.fc10
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

[caolan@vain ~]$ yum -y install python-twisted

[caolan@vain ~]$ rpm -qf /usr/lib/python2.5/site-packages/twisted/internet/gtk2reactor.py
python-twisted-core-2.5.0-4.fc9.i386
Comment 1 Kjartan Maraas 2009-01-12 15:27:48 EST
This is what I see in rawhide now:

Rhythmbox starts just fine, but when I try to enable the plugin I see this:

[kmaraas@laptop126 ~]$ rhythmbox
Traceback (most recent call last):
  File "/usr/lib/rhythmbox/plugins/upnp_coherence/__init__.py", line 13, in <module>
    import coherence.extern.louie as louie
ImportError: No module named louie

(rhythmbox:11559): Rhythmbox-WARNING **: Could not load plugin upnp_coherence


(rhythmbox:11559): Rhythmbox-WARNING **: Error, impossible to activate plugin 'Støtte for deling via DLNA/UPnP'
[kmaraas@laptop126 ~]$
Comment 2 Bastien Nocera 2009-01-13 07:08:59 EST
Fixed in rawhide. Also in CVS for F-10, but won't be making an update unless something else crops up.

* Tue Jan 13 2009 - Bastien Nocera <bnocera@redhat.com> - 0.11.6-21.r6096
- Add more Python deps for the UPNP plugin (#474372)

Note You need to log in before you can comment on or make changes to this bug.